Bug 592902 - python exited with SIGABRT running /usr/bin/virt-manager
python exited with SIGABRT running /usr/bin/virt-manager
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 06:37 EDT by CAI Qian
Modified: 2010-06-14 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 12:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core dump etc (5.45 MB, application/octet-stream)
2010-05-17 06:37 EDT, CAI Qian
no flags Details

  None (edit)
Description CAI Qian 2010-05-17 06:37:50 EDT
Created attachment 414513 [details]
core dump etc

Description of problem:

May 18 07:19:05 dhcp-65-177 libvirtd: 07:19:05.076: error : qemudDomainGetVcpus:6101 : Requested operation is not valid: cannot list vcpu pinning for an inactive domain
May 18 07:19:05 dhcp-65-177 libvirtd: 07:19:05.081: error : qemudDomainGetVcpus:6101 : Requested operation is not valid: cannot list vcpu pinning for an inactive domain
May 18 07:19:16 dhcp-65-177 kernel: device vnet0 entered promiscuous mode
May 18 07:19:16 dhcp-65-177 kernel: br0: port 2(vnet0) entering forwarding state
May 18 07:19:16 dhcp-65-177 qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
May 18 07:19:18 dhcp-65-177 abrt[4664]: saved core dump of pid 4601 (/usr/bin/python) to /var/cache/abrt/ccpp-1274181557-4601.new/coredump (57237504 bytes)
May 18 07:19:18 dhcp-65-177 abrtd: Directory 'ccpp-1274181557-4601' creation detected
May 18 07:19:19 dhcp-65-177 abrtd: New crash /var/cache/abrt/ccpp-1274181557-4601, processing

Version-Release number of selected component (if applicable):
python-2.6.2-6.el6.x86_64
RHEL6.0-20100512.0

How reproducible:
once
Comment 2 RHEL Product and Program Management 2010-05-17 07:04:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Dave Malcolm 2010-06-02 17:36:34 EDT
How did you file this bug?  Please can you change the way such bugs are filed; it is harder than it needs to be to ascertain the relevant information.

I dug into the tarball, copying here for reference:
cmdline: python /usr/share/virt-manager/virt-manager.py
executable: /usr/bin/python
package: virt-manager-0.8.4-1.el6
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)

It looks like Python exited with an abort(), e.g. an assertion failure, perhaps in a library.

Reassigning component to "virt-manager"

Do you have a backtrace?

I've attempted to work with the coredump in the tarball.

I attempted to use:
but gdb emits:
  warning: core file may not match specified executable file.
and the backtrace appears as:
(gdb) bt
#0  0x000000390e8329c5 in ?? ()
#1  0x000000390e8341a5 in ?? ()
#2  0x0000000000000001 in ?? ()
#3  0x000000390e878008 in ?? ()
#4  0x0000000001b4c6e0 in ?? ()
#5  0x000000390e4575a1 in thread_memory_from_self (mem_size=<value optimized out>, mem_block=0x2) at gslice.c:423
#6  IA__g_slice_free1 (mem_size=<value optimized out>, mem_block=0x2) at gslice.c:862
#7  0x0000000001b5ee40 in ?? ()
#8  0x000000390e4acb40 in ?? () from /lib64/libglib-2.0.so.0.2200.5
#9  0x00007fff8039f7e0 in ?? ()
#10 0x000000390e6e5180 in ?? () from /lib64/libglib-2.0.so.0.2200.5
#11 0x000000390e442cb4 in IA__g_log_default_handler (log_domain=<value optimized out>, log_level=<value optimized out>, message=<value optimized out>, unused_data=<value optimized out>) at gmessages.c:1003
#12 0x000000390e44335a in IA__g_logv (log_domain=0x391807ead4 <Address 0x391807ead4 out of bounds>, log_level=<value optimized out>, format=0x391809cd87 <Address 0x391809cd87 out of bounds>, args1=0x0) at gmessages.c:549
#13 0x000000390e4433f3 in IA__g_log (log_domain=<value optimized out>, log_level=<value optimized out>, format=<value optimized out>) at gmessages.c:569
#14 0x0000003918068046 in ?? ()
#15 0x0000000000000003 in ?? ()
#16 0x000000390e8d96f0 in ?? ()
#17 0x0000000000000093 in ?? ()
#18 0x0000000100000002 in ?? ()
#19 0x65756c6156646142 in ?? ()
#20 0x656765746e692820 in ?? ()
#21 0x656d617261702072 in ?? ()
#22 0x2074756f20726574 in ?? ()
#23 0x65676e617220666f in ?? ()
#24 0x65706f20726f6620 in ?? ()
#25 0x00296e6f69746172 in ?? ()
#26 0x0000000000000000 in ?? ()

which appears to be corrupt.

Uninstalling python-debuginfo, and trying using build IDs:

[root@ibm-x3655-03 ccpp-1274181557-4601]# gdb --core coredump 
GNU gdb (GDB) Red Hat Enterprise Linux (7.1-21.el6)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Missing separate debuginfo for the main executable file
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/ca/cef4819d2ef4ce4319f8caa50ed8981ce83107
[New Thread 4601]
Core was generated by `python /usr/share/virt-manager/virt-manager.py'.
Program terminated with signal 6, Aborted.
#0  0x000000390e8329c5 in ?? ()
(gdb) quit
[root@ibm-x3655-03 ccpp-1274181557-4601]# yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/ca/cef4819d2ef4ce4319f8caa50ed8981ce83107
Loaded plugins: auto-update-debuginfo, refresh-packagekit, rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Found 90 installed debuginfo package(s)
rhel-beta-debuginfo                                                                                                                                                                                                   | 3.0 kB     00:00     
rhel-beta-debuginfo/primary_db                                                                                                                                                                                        | 467 kB     00:01     
rhel-beta-optional-debuginfo                                                                                                                                                                                          | 3.0 kB     00:00     
rhel-beta-optional-debuginfo/primary_db                                                                                                                                                                               |  81 kB     00:00     
Setting up Install Process
rhel-beta-debuginfo/filelists_db                                                                                                                                                                                      | 3.6 MB     00:07     
rhel-beta-optional-debuginfo/filelists_db                                                                                                                                                                             | 657 kB     00:01     
No package /usr/lib/debug/.build-id/ca/cef4819d2ef4ce4319f8caa50ed8981ce83107 available.


Finally, sosreport.tar.bz2 doesn't seem to be a valid archive.
Comment 4 Cole Robinson 2010-06-14 12:57:21 EDT
Hmm, since the backtrace is not very useful, please reopen if you can consistently reproduce, or you can get a useful backtrace using Dave's steps in Comment 3

Note You need to log in before you can comment on or make changes to this bug.